Class | Chef::Application
In: | lib/chef/application.rb
Parent: | Object

### Methods

configure_chef configure_logging new reconfigure run run_application setup_application

### Included Modules

Mixlib::CLI

### Classes and Modules

Class Chef::Application::Client
Class Chef::Application::Knife
Class Chef::Application::Solo
Class Chef::Application::Wakeup

### Public Class methods

new()

### Public Instance methods

configure_chef()

Parse the configuration file

configure_logging()

Initialize and configure the logger. If the configured log location is not STDOUT, but stdout is a TTY and we‘re not daemonizing, we set up a secondary logger with output to stdout. This way, we magically do the right thing when the user has configured logging to a file but they‘re running chef in the shell to debug something.

reconfigure()

Reconfigure the application. You‘ll want to override and super this method.

run()

Get this party started

run_application()

Actually run the application

setup_application()

Called prior to starting the application, by the run method

[Validate]